package com.pcloud.book.keywords.dao;

import com.pcloud.book.keywords.dto.ReplyKeywordDTO;
import com.pcloud.book.keywords.entity.Keyword;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

/**
 * @author lily
 * @date 2019/4/25 11:51
 */
public interface KeywordDao extends BaseDao<Keyword> {
    /**
     * @Author:lili
     * @Desr:删除关键词
     * @Date:2019/4/25 14:47
     */
    void deleteById(Long keywordId, Long partyId);

    /**
     * @Author:lili
     * @Desr:更新服务基本信息
     * @Date:2019/6/6 11:17
     */
    void updateServeInfo(Long serveId, String serveType, String title, String squareImg);

    ReplyKeywordDTO getByKeyword(String keyword);

    /**
     * 根据id集合批量查询
     */
    List<Keyword> getListByIds(List<Long> keywordIds);
}
